Comment on Get Hands-on with Zerodha Mobile

Hanan commented on 01 Jan 2014, 01:03 PM

It may be able to work but Android 2.1 has limited capabilities so we advise you to update to 2.3 and above.

View the full comment thread »